Problems installing Delphi 5 on a machine that contains another version of Delphi

When you install Delphi 5 on a machine that already contains another version
of Delphi the Formula One Book component is not replaced!
I have one new desktop computer which contains Win98 where only Delphi 5 is
installed from scratch......and a laptop that contains Delphi 3, 4 and 5
when i build a application on my desktop computer using the F1Book component
and try to compile/run it on the laptop i get the error message
"Unexpected error", after a long search it became clear that the version of
the F1Book component on the laptop was a other (older) version of the F1Book
component.....so something goes wrong when installing Delphi 5 on a machine
that already contains Delphi 3 or 4 or C Builder 3 or 4.......
The question is: Is this problem known at the Borland/Inprise front????